local ISVehicleMenu_showRadialMenu_old = ISVehicleMenu.showRadialMenu
local function OpenNewUI(player, vehicle)
    if TurretAccessUnitUI.instance then
        TurretAccessUnitUI:destroy()
        TurretAccessUnitUI.instance = nil
    end
    local ui = TurretAccessUnitUI:new((400) / 2, (300) / 2, 400, 300, getPlayer(), vehicle)
    ui:initialise()
    ui:addToUIManager()
end
function ISVehicleMenu.showRadialMenu(player)
    ISVehicleMenu_showRadialMenu_old(player)
    local vehicle = ISVehicleMenu.getVehicleToInteractWith(getPlayer());
    if not vehicle then
        return
    end
    if string.find(vehicle:getScriptName(), "AutoTurret") then
        local menu = getPlayerRadialMenu(player:getPlayerNum())
        menu:addSlice(getText("IGUI_TurretAccessUI"), getTexture("media/textures/no_Ammo.png"), OpenNewUI, player,
            vehicle)
    end
end
